Reshape RESTBase Cassandra cluster for server refresh
Closed, ResolvedPublic

Description

restbase200[1-6].codfw.wmnet are being replaced by restbase201[3-8].codfw.wmnet. The new machines need to be bootstrapped into the cluster, and the old decommissioned.

  • bootstraps
    • 2013-a
    • 2013-b
    • 2013-c
    • 2014-a
    • 2014-b
    • 2014-c
    • 2015-a
    • 2015-b
    • 2015-c
    • 2016-a
    • 2016-b
    • 2016-c
    • 2017-a
    • 2017-b
    • 2017-c
    • 2018-a
    • 2018-b
    • 2018-c
  • decommissions
    • 2001-a
    • 2001-b
    • 2001-c
    • 2002-a
    • 2002-b
    • 2002-c
    • 2003-a
    • 2003-b
    • 2003-c
    • 2004-a
    • 2004-b
    • 2004-c
    • 2005-a
    • 2005-b
    • 2005-c
    • 2006-a
    • 2006-b
    • 2006-c
Eevans created this task.Fri, Nov 30, 2:59 PM
Eevans triaged this task as High priority.
Eevans moved this task from Backlog to In-Progress on the User-Eevans board.

Mentioned in SAL (#wikimedia-operations) [2018-11-30T15:29:19Z] <urandom> bootstrapping restbase2013-a -- T210843

Eevans updated the task description. (Show Details)Mon, Dec 3, 1:53 PM
Eevans updated the task description. (Show Details)Mon, Dec 3, 7:03 PM
Eevans updated the task description. (Show Details)Mon, Dec 3, 8:49 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-03T21:00:12Z] <urandom> bootstrapping restbase2014-a -- T210843

fgiunchedi updated the task description. (Show Details)Tue, Dec 4, 10:02 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-04T10:02:33Z] <godog> bootstrap cassandra-a on restbase2015 - T210843

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Tue, Dec 4, 10:53 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-04T13:32:40Z] <godog> bootstrap cassandra-b on restbase2015 - T210843

fgiunchedi updated the task description. (Show Details)Tue, Dec 4, 4:32 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-04T17:16:10Z] <godog> bootstrap cassandra-c on restbase2015 - T210843

Papaul removed a subscriber: Papaul.Tue, Dec 4, 5:37 PM
Eevans updated the task description. (Show Details)Tue, Dec 4, 7:57 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-04T20:04:33Z] <urandom> bootstrapping cassandra-a, restbase2016 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-05T00:10:10Z] <urandom> bootstrapping cassandra-b, restbase2016 -- T210843

Eevans updated the task description. (Show Details)Wed, Dec 5, 3:58 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-05T04:03:38Z] <urandom> bootstrapping cassandra-c, restbase2016 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-05T07:59:36Z] <godog> bootstrap cassandra-a, restbase2017 - T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-05T11:04:50Z] <godog> bootstrap cassandra-b, restbase2017 - T210843

Eevans updated the task description. (Show Details)Wed, Dec 5, 1:58 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-05T15:03:38Z] <godog> bootstrap cassandra-c, restbase2017 - T210843

Eevans updated the task description. (Show Details)Wed, Dec 5, 6:52 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-05T21:37:47Z] <urandom> bootstrapping cassandra-b, restbase2018 -- T210843

Eevans updated the task description. (Show Details)Wed, Dec 5, 9:38 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-06T00:10:28Z] <urandom> bootstrapping cassandra-c, restbase2018 -- T210843

Eevans updated the task description. (Show Details)Thu, Dec 6, 12:12 AM
Eevans updated the task description. (Show Details)Thu, Dec 6, 2:56 AM
Eevans updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2018-12-06T16:27:17Z] <urandom> decommissioning cassandra-a, restbase2001 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-06T22:12:09Z] <urandom> decommissioning cassandra-b, restbase2001 -- T210843

Eevans updated the task description. (Show Details)Thu, Dec 6, 10:22 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-07T07:50:27Z] <godog> decommissioning cassandra-c, restbase2001 -- T210843

fgiunchedi updated the task description. (Show Details)Fri, Dec 7, 7:53 AM
Eevans updated the task description. (Show Details)Fri, Dec 7, 2:47 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-07T14:52:56Z] <urandom> decommissioning cassandra-a, restbase2002 -- T210843

Eevans updated the task description. (Show Details)Fri, Dec 7, 11:41 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-07T23:41:57Z] <urandom> decommissioning cassandra-b, restbase2002 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-08T13:54:09Z] <godog> decommissioning cassandra-c, restbase2002 -- T210843

Eevans updated the task description. (Show Details)Sat, Dec 8, 8:56 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-08T20:59:22Z] <urandom> decommissioning cassandra-a, restbase2003 -- T210843

Eevans updated the task description. (Show Details)Sun, Dec 9, 2:59 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-09T03:00:09Z] <urandom> decommissioning cassandra-b, restbase2003 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-09T11:55:17Z] <godog> decommissioning cassandra-c, restbase2003 -- T210843

Eevans updated the task description. (Show Details)Sun, Dec 9, 12:45 PM
Eevans updated the task description. (Show Details)Sun, Dec 9, 8:15 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-09T20:16:51Z] <urandom> decommissioning cassandra-a, restbase2004 -- T210843

Eevans updated the task description. (Show Details)Mon, Dec 10, 2:53 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-10T02:53:32Z] <urandom> decommissioning cassandra-b, restbase2004 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-10T11:04:48Z] <godog> decommissioning cassandra-c, restbase2004 -- T210843

Eevans updated the task description. (Show Details)Mon, Dec 10, 1:17 PM
Eevans updated the task description. (Show Details)Mon, Dec 10, 8:12 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-10T20:13:35Z] <urandom> decommissioning cassandra-a, restbase2005 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-11T08:10:35Z] <godog> decommissioning cassandra-b, restbase2005 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-11T14:32:53Z] <godog> decommissioning cassandra-c, restbase2005 -- T210843

Eevans updated the task description. (Show Details)Tue, Dec 11, 10:01 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-11T22:04:09Z] <urandom> decommissioning cassandra-a, restbase2006 -- T210843

Mentioned in SAL (#wikimedia-operations) [2018-12-12T08:18:47Z] <godog> decommissioning cassandra-b, restbase2006 -- T210843

Eevans updated the task description. (Show Details)Wed, Dec 12, 1:34 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-12T15:21:24Z] <urandom> decommissioning cassandra-c, restbase2006 -- T210843

Eevans updated the task description. (Show Details)Wed, Dec 12, 3:22 PM
Eevans updated the task description. (Show Details)Wed, Dec 12, 10:59 PM
Eevans closed this task as Resolved.

This is done!